/////////////////////////////////////////////////////////////////////////////
///
/// @file odetimet.cpp
///
/// A generic method for computing a time-t map for ODEs.
///
/// @author Pawel Pilarczyk
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 1997-2014 by Pawel Pilarczyk.
//
// This file is part of my research software package. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <https://www.gnu.org/licenses/>.

// Started on October 18, 2008. Last revision: March 24, 2013.


#include "config.h"
#include "odetimet.h"

std::vector<double> MapOdeTimeT::defaultBoundingBox;

int MapOdeTimeT::defaultCheckEvery = 2;
//const int MapOdeTimeT::integrationAttempts = 1;

#ifdef CONFIG_ODEBOUNDINGBOX

/// A helper class that initializes the default bounding box for MapOdeTimeT.
struct MapOdeTimeTInitializerClass
{
	template <class Array1, class Array2>
	MapOdeTimeTInitializerClass (const Array1 &offset,
		const Array2 &width, int dim, int subdivLevel)
	{
		MapOdeTimeT::setPhaseSpace (offset, width, dim, subdivLevel);
		return;
	}
} MapOdeTimeTInitializer (spaceOffset, spaceWidth, spaceDim, finalDepth);

#endif

