#!/usr/bin/perl

#############################################################################
#
# This script compresses all the results of the computations
# that are stored in the "data" directory.
#
#############################################################################

# Copyright (C) 1997-2022 by Pawel Pilarczyk.
#
# This file is part of my research software package. This is free software:
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; see the file "license.txt". If not,
# please, see <https://www.gnu.org/licenses/>.

# Started on July 13, 2009. Last revision: February 16, 2022.


# determine the data directory and the port number
my $dirbase = `./workparam.pl dirbase`;
my $portnum = `./workparam.pl port`;
my $datdir = `./workparam.pl datdir`;
my $cmgdir = `./workparam.pl cmgdir`;
my $zipdir = `./workparam.pl zipdir`;
my $datname = `./workparam.pl name`;
print "dirbase = ${dirbase}, port number = ${portnum}\n";

# compress the resulting files
$zipdir = $zipdir . '/' unless $zipdir eq '';
foreach my $suffix ('run', 'dat', 'cmg', 'png', 'ind', 'cub', 'ode', 'pos')
{
	my $zipfile = "${zipdir}${datname}${suffix}.zip";
	#if (-e $zipfile)
	#{
	#	print "File '${zipfile}' already exists. Skipping.\n";
	#	next;
	#}
	my $cmd3 = "./runzip.pl ${zipfile} ${dirbase}.${suffix}/";
	print "Running ${cmd3}\n";
	system $cmd3;
}

