#!/usr/bin/perl

my $homedir = $ENV{"HOME"};
my $dir = "${homedir}/zip/cmgraphs";
die "The zip/cmgraphs directory does not exist.\n"
	unless -d $dir;
my $file = "${dir}/cmgraphs.zip";
die "The file already exists.\n"
	if -e $file;
my @progscpp = glob ("*.cpp");
my @progs;
foreach my $prog (@progscpp)
{
	$prog =~ s/\.cpp$//;
	push (@progs, $prog) if -e $prog;
}
my $progs = join (' ', @progs);
my $cmd1 = "zip -9 -o ${file} * capd4fix/* -x *.exe ${progs} *.o */ *.log *.dat *.tmp _*";
print "${cmd1}\n";
system ($cmd1);
my $cmd2 = "zip -9 -o -u ${file} browser/ browser/* -x browser/leslie*";
print "${cmd2}\n";
system ($cmd2);

